Rensei docs

List BYOA requester registrations for the org.

List BYOA requester registrations for the org. - Rensei REST API operation reference.

GET
/api/org/{orgId}/requester-registrations

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

Response Body

Registrations (no secrets).

application/json
  1. response
registrations*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/org/string/requester-registrations'
Example Response
{  "registrations": [    {      "id": "string",      "orgId": "string",      "actorHandle": "string",      "displayName": "string",      "allowedProjectIds": [        "string"      ],      "allowedAgentCards": [        "string"      ],      "grantedScopes": [        "string"      ],      "cedarPosture": "string",      "pinnedPoolId": "string",      "publicKey": "string",      "status": "string",      "createdBy": "string",      "createdAt": "string",      "updatedAt": "string",      "deletedAt": "string"    }  ]}